How would I go about creating rooms using dynamo? The built in "Room.ByLocation" node initially complained about me feeding it arrays.
"Warning: One or more of the input types are not matching. Couldn't find a version of ByLocation that takes arguments of type (string,Autodesk.DesignScript.Geometry.Point,strin g,string)"
I tried just feeding it one set of information, and it says it can't use the location data I'm feeding it (from the built in node "Element.GetLocation".
"Warning: One or more of the input types are not matching. Couldn't find a version of ByLocation that takes arguments of type (string,Autodesk.DesignScript.Geometry.Point,strin g,string)
If it doesn't want the location data in the format provided by Element.GetLocation what does it want? I tried the Steam "Tool.CreateRoomAtPointAndLevel" and while it doesn't throw any errors it also doesn't create any rooms.
The goal of this script is to create rooms from areas (client provided data needed in rooms as Revit areas, and I don't want to hand transfer the information). My current workflow intended to get the location, number, name and level of the area, create rooms with the same information, then to fill out additional information by transferring it between matching room numbers. Any help would be much appreciated.
"Warning: One or more of the input types are not matching. Couldn't find a version of ByLocation that takes arguments of type (string,Autodesk.DesignScript.Geometry.Point,strin g,string)"
I tried just feeding it one set of information, and it says it can't use the location data I'm feeding it (from the built in node "Element.GetLocation".
"Warning: One or more of the input types are not matching. Couldn't find a version of ByLocation that takes arguments of type (string,Autodesk.DesignScript.Geometry.Point,strin g,string)
If it doesn't want the location data in the format provided by Element.GetLocation what does it want? I tried the Steam "Tool.CreateRoomAtPointAndLevel" and while it doesn't throw any errors it also doesn't create any rooms.
The goal of this script is to create rooms from areas (client provided data needed in rooms as Revit areas, and I don't want to hand transfer the information). My current workflow intended to get the location, number, name and level of the area, create rooms with the same information, then to fill out additional information by transferring it between matching room numbers. Any help would be much appreciated.
Comment